Bug 67661 - CUPS breaks when using non-standard SSL port
CUPS breaks when using non-standard SSL port
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: cups (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-28 13:53 EDT by Tom
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-25 15:21:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom 2002-06-28 13:53:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
If you attempt to use an ssl port besides 443, the interface breaks and you are
unable to use your web browser to configure the server.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. generate SSL certs using openssl
openssl req -new -x509 -keyout /etc/cups/ssl/server.key -out
/etc/cups/ssl/server.crt -days 365 -nodes

2. modify /etc/cups/cupsd.conf to include an SSLPort line (something like
SSLPort 4430)

3. restart CUPS

4. go to https://servername:4430/ , problem

	

Actual Results:  was unable to configure system

Expected Results:  should have been able to configure system

Additional info:

It conflicts with my stronghold server on 443 (duh! :) I haven't been able to
find any thing pointing to this being a cups problem.
Comment 1 Tom 2002-07-30 15:02:53 EDT
This is a bug in cups < 1.1.15 (i.e. fixed in limbo :)

Any chance on RH updating (or backporting) the fix into 1.1.14.

Note You need to log in before you can comment on or make changes to this bug.